ru.bitel.bgbilling.modules.psb.server.bean

## Class TransactionManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
        - - ru.bitel.bgbilling.modules.psb.server.bean.TransactionManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TransactionManager
      extends AbstractTransactionManager<Transaction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `fields, moduleSetup`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `buildSignData(java.util.Map<java.lang.String,java.lang.Object> dataMap, java.lang.String[] checkParams)`
    `java.lang.String` | `doRequest(Transaction transaction, java.lang.String contractTitle, java.math.BigDecimal sum, java.lang.String email, java.lang.String intRef, java.lang.String recurRef)`
    `static java.lang.String` | `doSign(java.lang.String str, java.lang.String secret)`
    `protected Transaction` | `getById(int id)`
    `static java.lang.String` | `getFormatSum(java.math.BigDecimal sum)`
    `static java.lang.String` | `getFormatTime(java.util.Date date)`
    `protected Transaction` | `getFromRS(java.sql.ResultSet rs)`
    `static java.lang.String` | `getNonce()`
    `Transaction` | `newTransaction(int contractId, java.math.BigDecimal sum, boolean autopaymentTransaction, boolean reqChain)`
    `protected void` | `updateImpl(Transaction transaction)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `doConnection, doConnection, getParameter, psStatus, queryStatus, searchTransaction, searchTransaction, setConnectionTimeout, setParameter`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionManager

          public TransactionManager(java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected Transaction getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Transaction transaction)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getById

          protected Transaction getById(int id)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        java.sql.SQLException

      Overrides:
        `getById` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### buildSignData

          public static java.lang.String buildSignData(java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                                       java.lang.String[] checkParams)

    - #### doSign

          public static java.lang.String doSign(java.lang.String str,
                                                java.lang.String secret)

    - #### getNonce

          public static java.lang.String getNonce()

    - #### newTransaction

          public Transaction newTransaction(int contractId,
                                            java.math.BigDecimal sum,
                                            boolean autopaymentTransaction,
                                            boolean reqChain)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doRequest

          public java.lang.String doRequest(Transaction transaction,
                                            java.lang.String contractTitle,
                                            java.math.BigDecimal sum,
                                            java.lang.String email,
                                            java.lang.String intRef,
                                            java.lang.String recurRef)

    - #### getFormatSum

          public static java.lang.String getFormatSum(java.math.BigDecimal sum)

    - #### getFormatTime

          public static java.lang.String getFormatTime(java.util.Date date)